body{
  margin-bottom: 80px;
}

hindi, .hindi{
     font-size: 0.90rem;
     font-family:hindi !important;
}

.table{
     width: 100% !important;
}

@font-face {
  font-family: 'Digital7';
  font-style: normal;
  font-display: block;
  src: url("../fontawesome/webfonts/digital-7.ttf") format("truetype"); 
}
.font-digital{
     font-family: Digital7;
     font-size: 2rem;
}

.footer{
  z-index: 1000;
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  text-align: center;
  background-color: #435464;
  color: white;
  padding: 14px 10px;
  font-size: 14px;
  height: 50px;
}

.disable{
     background-color: #e9ecef !important;
     opacity: 1;
}

.readonly{
     background-color: #F7F7F9 !important;
     opacity: 1;
}

.bg-custom{
	background-color: #2f4f4f !important;
	color: #fff;
}

.medium {
  font-size: 0.85em;
}

tiny, .tiny {
  font-size: 0.75em;
}

.header{
     top:0 !important; 
     background: linear-gradient(to right, #3e6d81, #203A43, #295a6f);
     background: -webkit-linear-gradient(to right, #3e6d81, #203A43, #295a6f);  /* Chrome 10-25, Safari 5.1-6 */
}


.head1er{
  background-color: #008B8B;
  color: white;
  text-align: center;
  border-bottom: solid 1px #483D8B;
  max-height: 95px;
  overflow: hidden;
  padding-top: 5px;
  padding-bottom: 5px;
}

.logo-text{
  color: white;
  font-size: 1.6rem;
  text-shadow: 1px 1px 1px #2F4F4F, 0px 0px 1px #4B0082, 0px 0px 1px #2F4F4F;
  /*  font-weight: 600;*/
}
.logo-text-center{
     text-align: left;
}

@media (max-width: 767px) {
  .logo-text{
    font-size: 1.0rem;
     /* font-weight: 600;*/
  }
  .logo{
     max-width: 45px;
     max-height: 45px;
  }
  .logo-text-center{
     text-align: center;
  }
}

@media (max-width: 600px) {
  .logo-text{
    font-size: 0.9rem;
    /*  font-weight: 600;*/
  }
  .logo{
     max-width: 45px;
     max-height: 45px;
  }
  .logo-text-center{
     text-align: center;
  }
}

@media (min-width: 768px) {
  .logo-text{
    font-size: 1.5rem;
/*    font-weight: 600;*/
  }
}

.nav-link{
  color: white;
  
}
.nav-link:hover{
  color: white !important;
}
.nav-item{
  margin-right: 10px;
}
.nav-item:hover, .active{
  color: #fff !important;
  background-color: RGBA(220, 53, 69, var(--bs-bg-opacity, 1)) !important;
  border-radius:5px;
}


label{
  font-weight: 600;
}


.link-card{
  color: black;
  text-decoration: none;
}
.link-card .card:hover{
  border-bottom: 0.25rem solid #1cc88a !important;
}


.text-right {
    text-align: right !important;
}

.no-gutters {
  margin-right: 0;
  margin-left: 0;
}

.text-gray-300 {
  color: #dddfeb !important;
}
.text-gray-800 {
  color: #5a5c69 !important;
}

.text-xs {
  font-size: .7rem;
}

.text-lg {
  font-size: 1.2rem;
}

.titlebar{
     background-color: #673AB7 !important;
     color: #fff;
     padding: 0.45rem 0.5rem !important;
     width: fit-content;
     margin: 5px auto !important;
}    

.title{
     margin: 5px auto !important;
     color: #000;
     font-size: 16px;
     font-weight: bold;
     text-align: left;
}


.page-title {
     font-size: 16px;
     font-weight: bold;
     color: #0B4EA0; /* Matches your header */
     text-transform: uppercase;
     letter-spacing: 1px;
     text-align: left !important;
     padding: 5px 0 0;
     margin-bottom: 15px;
     border-bottom: 2px solid #FFC107; /* Adds a professional touch */
}

.title-text-center {
    font-size: 16px;
    font-weight: bold;
    color: #0B4EA0; /* Matches your header */
    text-transform: uppercase;  
    padding: 5px 0 0;
    margin-bottom: 15px;
    line-height: 30px;
    border-bottom: 2px solid #FFC107; /* Adds a professional touch */
}


.form-control-div {
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-body-color);
  background-color: #FFFFFF;
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 0.375rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.form-control-div-sm {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  border-radius: 0.25rem;
  min-height: 31px;
}

.bg-red {
     background-color: #F44336 !important;
     color: #fff;
}
.bg-red .content .text,.bg-red .content .number {
     color: #fff !important;
}
.bg-pink {
     background-color: #E91E63 !important;
     color: #fff;
}
.bg-pink .content .text,.bg-pink .content .number {
     color: #fff !important;
}
.bg-purple {
     background-color: #9C27B0 !important;
     color: #fff;
}
.bg-purple .content .text,.bg-purple .content .number {
     color: #fff !important;
}
.bg-deep-purple {
     background-color: #673AB7 !important;
     color: #fff;
}
.bg-deep-purple .content .text,.bg-deep-purple .content .number {
     color: #fff !important;
}
.bg-indigo {
     background-color: #3F51B5 !important;
     color: #fff;
}
.bg-indigo .content .text,.bg-indigo .content .number {
     color: #fff !important;
}
.bg-blue {
     background-color: #2196F3 !important;
     color: #fff;
}
.bg-blue .content .text,.bg-blue .content .number {
     color: #fff !important;
}
.bg-light-blue {
     background-color: #03A9F4 !important;
     color: #fff;
}
.bg-light-blue .content .text,.bg-light-blue .content .number {
     color: #fff !important;
}
.bg-cyan {
     background-color: #00BCD4 !important;
     color: #fff;
}
.bg-cyan .content .text,.bg-cyan .content .number {
     color: #fff !important;
}
.bg-teal {
     background-color: #009688 !important;
     color: #fff;
}
.bg-teal .content .text,.bg-teal .content .number {
     color: #fff !important;
}
.bg-green {
     background-color: #4CAF50 !important;
     color: #fff;
}
.bg-green .content .text,.bg-green .content .number {
     color: #fff !important;
}
.bg-light-green {
     background-color: #8BC34A !important;
     color: #fff;
}
.bg-light-green .content .text,.bg-light-green .content .number {
     color: #fff !important;
}
.bg-lime {
     background-color: #CDDC39 !important;
     color: #fff;
}
.bg-lime .content .text,.bg-lime .content .number {
     color: #fff !important;
}
.bg-yellow {
     background-color: #ffe821 !important;
     color: #fff;
}
.bg-yellow .content .text,.bg-yellow .content .number {
     color: #fff !important;
}
.bg-amber {
     background-color: #FFC107 !important;
     color: #fff;
}
.bg-amber .content .text,.bg-amber .content .number {
     color: #fff !important;
}
.bg-orange {
     background-color: #FF9800 !important;
     color: #fff;
}
.bg-orange .content .text,.bg-orange .content .number {
     color: #fff !important;
}
.bg-deep-orange {
     background-color: #FF5722 !important;
     color: #fff;
}
.bg-deep-orange .content .text,.bg-deep-orange .content .number {
     color: #fff !important;
}
.bg-brown {
     background-color: #795548 !important;
     color: #fff;
}
.bg-brown .content .text,.bg-brown .content .number {
     color: #fff !important;
}
.bg-grey {
     background-color: #9E9E9E !important;
     color: #fff;
}
.bg-grey .content .text,.bg-grey .content .number {
     color: #fff !important;
}
.bg-blue-grey {
     background-color: #607D8B !important;
     color: #fff;
}
.bg-blue-grey .content .text,.bg-blue-grey .content .number {
     color: #fff !important;
}
.bg-black {
     background-color: #000000 !important;
     color: #fff;
}
.bg-black .content .text,.bg-black .content .number {
     color: #fff !important;
}
.bg-white {
     background-color: #ffffff !important;
     color: #fff;
}
.bg-white .content .text,.bg-white .content .number {
     color: #fff !important;
}
.bg-custom2 {
     background-color: #024059 !important;
     color: #fff !important;
}
.bg-violet  {
     background-color: #4B2273 !important;
     color: #fff !important;
}
.bg-choco-rose  {
     background-color: #661D05 !important;
     color: #fff !important;
}
.bg-teal-solid  {
     background-color: #215D6E !important;
     color: #fff !important;
}

.text-red {
     color: #F44336 !important;
}
.text-pink {
     color: #E91E63 !important;
}
.text-purple {
     color: #9C27B0 !important;
}
.text-deep-purple {
     color: #673AB7 !important;
}
.text-indigo {
     color: #3F51B5 !important;
}
.text-blue {
     color: #2196F3 !important;
}
.text-light-blue {
     color: #03A9F4 !important;
}
.text-cyan {
     color: #00BCD4 !important;
}
.text-teal {
     color: #009688 !important;
}
.text-green {
     color: #4CAF50 !important;
}
.text-light-green {
     color: #8BC34A !important;
}
.text-lime {
     color: #CDDC39 !important;
}
.text-yellow {
     color: #ffe821 !important;
}
.text-amber {
     color: #FFC107 !important;
}
.text-orange {
     color: #FF9800 !important;
}
.text-deep-orange {
     color: #FF5722 !important;
}
.text-brown {
     color: #795548 !important;
}
.text-grey {
     color: #9E9E9E !important;
}
.text-blue-grey {
     color: #607D8B !important;
}
.text-black {
     color: #000000 !important;
}
.text-white {
     color: #ffffff !important;
}

.border-bottom-primary {
  border-bottom: 0.25rem solid #4e73df !important;
}
.border-top-primary {
  border-top: 0.25rem solid #4e73df !important;
}
.border-left-primary {
  border-left: 0.25rem solid #4e73df !important;
}


.border-top-secondary {
  border-top: 0.25rem solid #858796 !important;
}
.border-bottom-secondary {
  border-bottom: 0.25rem solid #858796 !important;
}
.border-left-secondary {
  border-left: 0.25rem solid #858796 !important;
}


.border-top-success {
  border-top: 0.25rem solid #1cc88a !important;
}
.border-bottom-success {
  border-bottom: 0.25rem solid #1cc88a !important;
}
.border-left-success {
  border-left: 0.25rem solid #1cc88a !important;
}

.border-top-info {
  border-top: 0.25rem solid #36b9cc !important;
}
.border-bottom-info {
  border-bottom: 0.25rem solid #36b9cc !important;
}
.border-left-info {
  border-left: 0.25rem solid #36b9cc !important;
}

.border-top-warning {
  border-top: 0.25rem solid #f6c23e !important;
}
.border-bottom-warning {
  border-bottom: 0.25rem solid #f6c23e !important;
}
.border-left-warning {
  border-left: 0.25rem solid #f6c23e !important;
}

.border-top-danger {
  border-top: 0.25rem solid #e74a3b !important;
}
.border-bottom-danger {
  border-bottom: 0.25rem solid #e74a3b !important;
}
.border-left-danger {
  border-left: 0.25rem solid #e74a3b !important;
}

.border-top-light {
  border-top: 0.25rem solid #f8f9fc !important;
}
.border-bottom-light {
  border-bottom: 0.25rem solid #f8f9fc !important;
}
.border-left-light {
  border-left: 0.25rem solid #f8f9fc !important;
}

.border-top-dark {
  border-top: 0.25rem solid #5a5c69 !important;
}
.border-bottom-dark {
  border-bottom: 0.25rem solid #5a5c69 !important;
}
.border-left-dark {
  border-left: 0.25rem solid #5a5c69 !important;
}

.border-left-deep-orange {
  border-left: 0.25rem solid #FF5722 !important;
}
.border-bottom-deep-orange {
  border-bottom: 0.25rem solid #FF5722 !important;
}

.border-left-purple {
  border-left: 0.25rem solid #673AB7 !important;
}
.border-bottom-purple {
  border-bottom: 0.25rem solid #673AB7 !important;
}

a:hover{
  color:#dc3545;
}

.anch:after {
  display:block;
  content: '';
  border-bottom: solid 1px #dc3545;
  transform: scaleX(0);  
  transition: transform 250ms ease-in-out;
}
.anch:hover:after { transform: scaleX(1); }
.anch.fromRight:after{ transform-origin:100% 50%; }
.anch.fromLeft:after{  transform-origin:  0% 50%; }


.link-dashboard .card:hover{
  border-bottom: 0.25rem solid #3F51B5 !important; /* FF5722*/
}

.break-long-text {
  /* These are technically the same, but use both */
  overflow-wrap: break-word;
  word-wrap: break-word;

  -ms-word-break: break-all;
  /* This is the dangerous one in WebKit, as it breaks things wherever */
  word-break: break-all;
  /* Instead use this non-standard one: */
  word-break: break-word;

  /* Adds a hyphen where the word breaks, if supported (No Blink) */
  -ms-hyphens: auto;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  hyphens: auto;

}




.hidden {
     display: none;
}


@keyframes fadeIn {
     from {
          opacity: 0;
          transform: translateY(20px);
     }
     to {
          opacity: 1;
          transform: translateY(0);
     }
}

.fade-in {
     animation: fadeIn 0.5s ease-in-out;
}


.btn-tiny, .btn-group-tiny > .btn {
  --bs-btn-padding-y: 0.2rem;
  --bs-btn-padding-x: 0.30rem;
  --bs-btn-font-size: 0.70rem;
  --bs-btn-border-radius: var(--bs-border-radius-sm);
}





.hyper {
    color: #007bff; /* Bootstrap primary blue */
    text-decoration: none;
    font-weight: 500;
    transition: all 0.3s ease-in-out;
}

.hyper:hover, .hyper:focus {
    color: #dc3545; /* on hover */
    text-decoration: underline;
}



.futuristic-card {
  background: rgba(255, 255, 255, 0.1); /* Transparent Glass Effect */
  border: 1px solid rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px); /* Glassmorphism */
  -webkit-backdrop-filter: blur(10px);
  border-radius: 6px;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.futuristic-card:hover {
/*  transform: translateY(-5px);*/
  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.3);
}

.futuristic-card .card-header {
  background: white;
  color: #0B4EA0;
  text-align: center;
  border-radius: 6px 6px 0 0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


.futuristic-card .card-body {
  padding: 20px;
}


.btn-slide {
  position: relative;
  overflow: hidden;
  border: none;
  color: #fff;
  transition: color 0.3s ease;
  z-index: 1;
  background-color: #0d6efd; /* Bootstrap primary */
}

.btn-slide span {
  position: relative;
  z-index: 2; /* text stays on top */
}

.btn-slide::before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: #FFC107;
  transition: left 0.4s ease;
  z-index: 0;
}

.btn-slide:hover::before {
  left: 0;
}

.btn-slide:hover span {
  color: #000 !important; /* black text on yellow */
}